io.vertx.json.schema.common

## Class NoopValidatorContext

- java.lang.Object
- - io.vertx.json.schema.common.NoopValidatorContext

- All Implemented Interfaces:
    ValidatorContext

      public class NoopValidatorContext
      extends Object
      implements ValidatorContext

  This noop `ValidatorContext` can be used when no contextual keywords are used

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NoopValidatorContext()`
    `NoopValidatorContext(ValidatorContext parent, String inputKey)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Integer>` | `evaluatedItems()`
    `Set<String>` | `evaluatedProperties()`
    `String` | `inputKey()`
    `ValidatorContext` | `lowerLevelContext(int key)`
    `ValidatorContext` | `lowerLevelContext(String key)`
    `void` | `markEvaluatedItem(int index)`
    `void` | `markEvaluatedProperty(String propertyName)`
    `ValidatorContext` | `parent()`
    `ValidatorContext` | `startRecording()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NoopValidatorContext

          public NoopValidatorContext()

    - #### NoopValidatorContext

          public NoopValidatorContext(ValidatorContext parent,
                                      String inputKey)

  - ### Method Detail

    - #### startRecording

          public ValidatorContext startRecording()

      Specified by:
        `startRecording` in interface `ValidatorContext`

    - #### markEvaluatedItem

          public void markEvaluatedItem(int index)

      Specified by:
        `markEvaluatedItem` in interface `ValidatorContext`

    - #### markEvaluatedProperty

          public void markEvaluatedProperty(String propertyName)

      Specified by:
        `markEvaluatedProperty` in interface `ValidatorContext`

    - #### evaluatedItems

          public Set<Integer> evaluatedItems()

      Specified by:
        `evaluatedItems` in interface `ValidatorContext`

    - #### evaluatedProperties

          public Set<String> evaluatedProperties()

      Specified by:
        `evaluatedProperties` in interface `ValidatorContext`

    - #### lowerLevelContext

          public ValidatorContext lowerLevelContext(String key)

      Specified by:
        `lowerLevelContext` in interface `ValidatorContext`

    - #### lowerLevelContext

          public ValidatorContext lowerLevelContext(int key)

      Specified by:
        `lowerLevelContext` in interface `ValidatorContext`

    - #### parent

          public ValidatorContext parent()

      Specified by:
        `parent` in interface `ValidatorContext`

    - #### inputKey

          public String inputKey()

      Specified by:
        `inputKey` in interface `ValidatorContext`

Copyright © 2024 Eclipse. All rights reserved.